Subject: bug#46923: closed (Re: [bug#46923] [PATCH] - added copyright notice from buildapp.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Mar 2021 21:36:02 +0000

Your bug report

#46923: [PATCH] - added copyright notice from buildapp.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46923: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46923
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#46923] [PATCH] - added copyright notice from buildapp.
From: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 04 Mar 2021 22:35:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Tobias Geerinckx-Rice via Guix-patches via 写道：
> A copyright line isn't required in this case, because IMO it 
> falls
> (far) short of copyrightable significance.

For completeness: even if this were a significant hunk of code, we 
still wouldn't do this.

Guix is released under the GPLv3: even if some part(s) could be 
distributed under more permissive licences, we don't do so, and 
any modifications we make to these are released under the GPLv3 as 
well.  The result is a GPLv3 programme.  There's no need to add 
BSD or other licence headers in either case, although a copyright 
line might be required.

Hence I'm closing this bug, but thank you for submitting it!

Kind regards,

T G-R

Subject: [PATCH] - added copyright notice from buildapp.
From: cage <[email-masked]>
To: [email-masked]
Date: Thu, 4 Mar 2021 15:57:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

---
 gnu/packages/web-browsers.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/web-browsers.scm b/gnu/packages/web-browsers.scm
index 5a83a4ef95..6f3041ffe6 100644
--- a/gnu/packages/web-browsers.scm
+++ b/gnu/packages/web-browsers.scm
@@ -31,6 +31,34 @@
 ;;;
 ;;; You should have received a copy of the GNU General Public License
 ;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+;;;
+;;; Some code derived from buildapp:
+;;; Copyright (c) 2010 Zachary Beane, All Rights Reserved
+;;;
+;;; Redistribution and use in source and binary forms, with or without
+;;; modification, are permitted provided that the following conditions
+;;; are met:
+;;;
+;;;   * Redistributions of source code must retain the above copyright
+;;;     notice, this list of conditions and the following disclaimer.
+;;;
+;;;   * Redistributions in binary form must reproduce the above
+;;;     copyright notice, this list of conditions and the following
+;;;     disclaimer in the documentation and/or other materials
+;;;     provided with the distribution.
+;;;
+;;; THIS SOFTWARE IS PROVIDED BY THE AUTHOR 'AS IS' AND ANY EXPRESSED
+;;; OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+;;; WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+;;; ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+;;; DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+;;; DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+;;; GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+;;; INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+;;; WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+;;; NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+;;; SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+;;;
 
 (define-module (gnu packages web-browsers)
   #:use-module (guix build-system asdf)
-- 
2.30.1